Tvheadend - Bug #5673

Buster armhf Builds
2019-06-30 15:46 - cy clic

Status: Accepted Start date: 2019-06-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Found in version: Not applicable Affected Versions:

Description

Raspberry downloads have now moved to buster.
(Linux h3 4.19.50-v7+ #896 SMP Thu Jun 20 16:11:44 BST 2019 armv7| GNU/Linux)

Following the tvh download page instructions for debian yields error on "apt update" :

Hit:1 http://archive.raspberrypi.org/debian buster InRelease

Hit:2 http://raspbian.raspberrypi.org/raspbian buster InRelease

lgn:3 https://apt.tvheadend.org/stable buster InRelease

Err:4 https://apt.tvheadend.org/stable buster Release

404 Not Found [IP: 104.31.95.73 443]

Reading package lists... Done

E: The repository ‘https.//apt.tvheadend.org/stable buster Release’ does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details

Am | doing something wrong? - i.e. there is a buster build
Or if there is not one - is there a buster build in the offing?

History

#1 - 2019-07-01 01:20 - Mark Clarkstone

Buster isn't actually released yet, however I'll put in a request to have buster added as a target to doozer.io on armhf. I'll also set-up a local builder on
a Piwhen | get the chance (and upload the armhf packages here)

Please bump this issue in a few days if | haven't replied.

#2 - 2019-07-01 01:21 - Mark Clarkstone

- Status changed from New to Accepted

#3 - 2019-07-02 01:07 - Mark Clarkstone

As a temporary measure until apt.tvheadend.org catches up builds can be downloaded and installed from here ->
https://cloud.disroot.org/s/y3YtbkrgFodCwdH

#4 - 2019-07-03 14:41 - cy clic

Mark Clarkstone wrote:

https://cloud.disroot.org/s/y3YtbkrgFodCwdH

Many thanks for your prompt workaround.

Ran stable on latest raspianbuster on pi3b+ with USB-DVB-T2

(Linux h3 4.19.50-v7+ #896 SMP armv7| GNU/Linux)

There were unsatisfieds reported which | manually installed + "apt --fix-broken install”

Seems to work ok - but | have not really used it under stress

Ran stable followed by unstable on latest raspianbuster on pi4b-4G with Sat>ip 8 28.2E tuners
(Linux h3 4.19.50-v7+ #896 SMP armv7| GNU/Linux - also)

There were also unsatisfieds reported which | manually installed + "apt --fix-broken install"
Seems to work - but | cannot really use it because:
Finds all muxes (except last 37) and all services (real fast!) but only Sky Bouquets
i.e No Freesat Bouquets

I have tried at length all the old tricks to deliver them - but no luck.

Looks to me like even with OTA UK Freesat & OTA Freesat (EIT) enabled,

it only uses the slow epg and not the high speed epg

Same on all 3 Freesat home Txprs.

(Deja Vu)
#5 - 2019-07-20 16:24 - cy clic
cy clic wrote:

Mark Clarkstone wrote:

https://cloud.disroot.org/s/y3YtbkrgFodCwdH

(Deja Vu)

No more.

Your 4.3-1801 package
(with both gigabit Ethernets working per HTTP://tvheadend.org/issues/5677)
is now fully working for 4 days no hiccups.

Configuration:

Pi4b 4GB raspian lite, headless

with no special cooling,

with on board full gigabit ethernet eth0O used for normal normal LAN e.g. NAS for storage, Kodi clients, etc.
Full gigabit adapter eth1 on USB3 with own private subnet dedicated to satip traffic

(single direct point to point RJ45 to 8 a tuner sat>ip server for satip traffic)

| have switched from osmc to LibreElec which seems more responsive and stable at present.

Now very usable. Thanks to all.

#6 - 2019-08-24 01:44 - Mark Clarkstone

- File tvheadend_4.2.8-32~g2d020e8f2_armhf.buildinfo added
- File tvheadend_4.2.8-32~92d020e8f2_armhf.changes added
- File tvheadend_4.2.8-32~9g2d020e8f2_armhf.deb added

- File tvheadend 4.3-1805~gdca46eedd _armhf.buildinfo added
- File tvheadend_4.3-1805~gdca46eedd_armhf.changes added
- File tvheadend_4.3-1805~gdca46eedd armhf.deb added

- File tvheadend-dbg _4.2.8-32~92d020e8f2_armhf.deb added

- File tvheadend-dbg_4.3-1805~gdca46eedd armhf.deb added

#7 - 2019-10-23 18:04 - Mark Clarkstone
- File deleted (tvheadend_4.2.8-32~92d020e8f2_armhf.buildinfo)

#8 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend-dbg_4.3-1805~gdca46eedd_armhf.deb)

#9 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend-dbg_4.2.8-32~g2d020e8f2_armhf.deb)

#10 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend_4.3-1805~gdca46eedd_armhf.deb)

#11 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend_4.2.8-32~92d020e8f2_armhf.changes)

#12 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend_4.3-1805~gdca46eedd _armhf.buildinfo)

#13 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend_4.3-1805~gdca46eedd_armhf.changes)

#14 - 2019-10-23 18:05 - Mark Clarkstone
- File deleted (tvheadend_4.2.8-32~92d020e8f2_armhf.deb)

#15 - 2019-10-23 18:07 - Mark Clarkstone

New unstable build and moved the files to disroot.org for better uptime!

-> https:/cloud.disroot.org/s/y3YtbkrgFodCwdH

Previous files attached here have been removed to prevent people getting size mismatch issues

#16 - 2019-12-10 21:29 - Oldrich Jedlicka

Would it be possible to get regular automated builds for armhf, please? And thanks for your effort!
#17 - 2019-12-11 09:59 - M. Bergmann
@Oldrich Jedlicka:

What about the ppa provided by Michael Marley?
[[https://tvheadend.org/projects/tvheadend/wiki/AptRepositories#Ubuntu-PPA]]

#18 - 2020-09-29 11:15-A L

Is there any chance that this will allow access to updated unstable builds for ARM devices?
https://bintray.com/tvheadend/de
#19 - 2020-09-29 21:28 - Flole Systems
A L wrote:
Is there any chance that this will allow access to updated unstable builds for ARM devices?

https://bintray.com/tvheadend/deb

No, because bintray is no longer used for builds.
#20 - 2020-09-30 11:39 - Nihil Baxter
A L wrote:
Is there any chance that this will allow access to updated unstable builds for ARM devices?

https://bintray.com/tvheadend/deb

| don't know why its so hard to make official arm builds, btw, its easy to build it ;-)

My latest builds: https:/drive.google.com/drive/folders/1biBHWLb8nm_IKrXaftkUoDTbmT7xJAwrL ?usp=sharing

#21 - 2020-09-30 20:28 - Flole Systems

There are official arm builds, so it's not hard. For Buster-support you would have to make sure that our buildsystem at doozer.io supports it, sadly that

is still not the case after a year of waiting so buster support has been removed again from the repo.

#22 - 2020-09-30 22:52 - saen acro

Flole Systems wrote:

There are official arm builds, so it's not hard. For Buster-support you would have to make sure that our buildsystem at doozer.io supports i,
sadly that is still not the case after a year of waiting so buster support has been removed again from the repo.

Why you need this, when can be build on device directly?
